package keyboard

/*
 #cgo CFLAGS: -x objective-c
 #cgo LDFLAGS: -framework AppKit
 #import <AppKit/AppKit.h>
NSEvent* createEvent(int k, bool down) {
    int flags = down ? 0xa00 : 0xb00;
    NSEvent* event = [NSEvent otherEventWithType:NSEventTypeSystemDefined
                                        location:NSZeroPoint
                                   modifierFlags:flags
                                       timestamp:0
                                    windowNumber:0
                                         context:nil
                                         subtype:8
                                           data1:(k << 16 | flags)
                                           data2:-1
    ];
    return event;
}

void pressKey(int k) {
    @autoreleasepool {
        NSEvent* down = createEvent(k, true);
        NSEvent* up = createEvent(k, false);

        CGEventPost(kCGHIDEventTap, down.CGEvent);
        usleep(1000);
        CGEventPost(kCGHIDEventTap, up.CGEvent);
    }
}
*/
import "C"

func PressMediaKey(key int) {
	C.pressKey(C.int(key))
}

const (
	VOLUMEUP   = 0
	VOLUMEDOWN = 1
	MUTE       = 7
)
